#include "qrecteditplugin.h"

#include "qrectedit.h"

#include <QtCore/QtPlugin>


QRectEditPlugin::QRectEditPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void QRectEditPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool QRectEditPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * QRectEditPlugin::createWidget(QWidget * parent) {
	return new QRectEdit(parent);
}


QString QRectEditPlugin::name() const {
	return QLatin1String("QRectEdit");
}


QString QRectEditPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon QRectEditPlugin::icon() const {
	return QIcon();
}


QString QRectEditPlugin::toolTip() const {
	return QLatin1String("Rect Edit");
}


QString QRectEditPlugin::whatsThis() const {
	return QLatin1String("Rect Edit");
}


bool QRectEditPlugin::isContainer() const {
	return false;
}


QString QRectEditPlugin::domXml() const {
	return QLatin1String("<widget class=\"QRectEdit\" name=\"rectEdit\">\n</widget>\n");
}


QString QRectEditPlugin::includeFile() const {
	return QLatin1String("qrectedit.h");
}
